RHEL 5 / 6 : Red Hat Satellite IBM Java Runtime (RHSA-2015:1091) (Bar Mitzvah)

This script is Copyright (C) 2015-2017 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated java-1.6.0-ibm packages that fix several security issues are
now available for Red Hat Satellite 5.6 and 5.7.

Red Hat Product Security has rated this update as having Low security
impact. Common Vulnerability Scoring System (CVSS) base scores, which
give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

IBM Java SE version 6 includes the IBM Java Runtime Environment and
the IBM Java Software Development Kit.

This update corrects several security vulnerabilities in the IBM Java
Runtime Environment shipped as part of Red Hat Satellite 5. In a
typical operating environment, these are of low security risk as the
runtime is not used on untrusted applets. Further information about
these flaws can be found on the IBM Java Security alerts page, listed
in the References section. (CVE-2005-1080, CVE-2015-0138,
CVE-2015-0192, CVE-2015-0458, CVE-2015-0459, CVE-2015-0469,
CVE-2015-0477, CVE-2015-0478, CVE-2015-0480, CVE-2015-0488,
CVE-2015-0491, CVE-2015-1914, CVE-2015-2808)

The CVE-2015-0478 issue was discovered by Florian Weimer of Red Hat
Product Security.

Note: With this update, the IBM JDK now disables RC4 SSL/TLS cipher
suites by default to address the CVE-2015-2808 issue. Refer to Red Hat
Bugzilla bug 1207101, linked to from the References section, for
additional details about this change.

Users of Red Hat Satellite 5.6 and 5.7 are advised to upgrade to these
updated packages, which contain the IBM Java SE 6 SR16-FP4 release.
For this update to take effect, Red Hat Satellite must be restarted
('/usr/sbin/rhn-satellite restart'), as well as all running instances
of IBM Java.

See also :

https://www.redhat.com/security/data/cve/CVE-2005-1080.html
https://www.redhat.com/security/data/cve/CVE-2015-0138.html
https://www.redhat.com/security/data/cve/CVE-2015-0192.html
https://www.redhat.com/security/data/cve/CVE-2015-0458.html
https://www.redhat.com/security/data/cve/CVE-2015-0459.html
https://www.redhat.com/security/data/cve/CVE-2015-0469.html
https://www.redhat.com/security/data/cve/CVE-2015-0477.html
https://www.redhat.com/security/data/cve/CVE-2015-0478.html
https://www.redhat.com/security/data/cve/CVE-2015-0480.html
https://www.redhat.com/security/data/cve/CVE-2015-0488.html
https://www.redhat.com/security/data/cve/CVE-2015-0491.html
https://www.redhat.com/security/data/cve/CVE-2015-1914.html
https://www.redhat.com/security/data/cve/CVE-2015-2808.html
https://www.ibm.com/developerworks/java/jdk/alerts/
https://bugzilla.redhat.com/show_bug.cgi?id=1207101#c4
http://rhn.redhat.com/errata/RHSA-2015-1091.html

Solution :

Update the affected java-1.6.0-ibm and / or java-1.6.0-ibm-devel
packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.1
(CVSS2#E:U/RL:U/RC:UR)
Public Exploit Available : false

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now